import { OutputEvent } from './debugSession';
export declare enum LogLevel {
    Verbose = 0,
    Log = 1,
    Error = 2,
}
export declare type ILogCallback = (outputEvent: OutputEvent) => void;
export declare function log(msg: string, forceLog?: boolean, level?: LogLevel): void;
export declare function verbose(msg: string): void;
export declare function error(msg: string, forceLog?: boolean): void;
/**
 * Set the logger's minimum level to log. Log messages are queued before this is
 * called the first time, because minLogLevel defaults to Error.
 */
export declare function setMinLogLevel(logLevel: LogLevel): void;
export declare function init(logCallback: ILogCallback, logFilePath?: string, logToConsole?: boolean): void;
export declare class LogOutputEvent extends OutputEvent {
    constructor(msg: string, level: LogLevel);
}
export declare function trimLastNewline(str: string): string;
